Skip to content
Start here

List TURN Keys

client.calls.turn.list(TURNListParams { account_id } params, RequestOptionsoptions?): SinglePage<TURNListResponse { created, modified, name, uid } >
GET/accounts/{account_id}/calls/turn_keys

Lists all TURN keys in the Cloudflare account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Calls WriteCalls Read
ParametersExpand Collapse
params: TURNListParams { account_id }
account_id: string

The account identifier tag.

maxLength32
ReturnsExpand Collapse
TURNListResponse { created, modified, name, uid }
created?: string

The date and time the item was created.

formatdate-time
modified?: string

The date and time the item was last modified.

formatdate-time
name?: string

A short description of Calls app, not shown to end users.

uid?: string

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32

List TURN Keys

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const turnListResponse of client.calls.turn.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(turnListResponse.uid);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "created": "2014-01-02T02:20:00Z",
      "modified": "2014-01-02T02:20:00Z",
      "name": "production-realtime-app",
      "uid": "2a95132c15732412d22c1476fa83f27a"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "created": "2014-01-02T02:20:00Z",
      "modified": "2014-01-02T02:20:00Z",
      "name": "production-realtime-app",
      "uid": "2a95132c15732412d22c1476fa83f27a"
    }
  ]
}